#
# spec file for package nitrotasks
#

Name:           nitrotasks
Version:	1.5.1
Release:	%mkrel 1
License:	BSD-3-Clause
Summary:	Super awesome task management
Url:		https://launchpad.net/nitrotasks
Group:		Office
Source:		https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}_%{version}.tar.xz
Patch:		%{name}-no-unity.patch
BuildRequires:	python-devel
BuildRequires:	python-distutils-extra
BuildRequires:  intltool
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	libgnome2
Requires:	python-gobject3
Requires:	gtk+3.0
Requires:	webkitgtk3
Requires:	glib2.0-common
Requires:	%{_lib}glib2.0_0
Requires:	%{_lib}gtk+3_0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
Nitro is a super awesome, simple and fast task management application. 
Nitro packs a bunch of awesome features such as smart lists, notes, 
due dates, search and more.

%prep
%setup -q -n quickly_trunk
%apply_patches

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# This should be solved by the author in the future (data files with executable permissions)
find %{buildroot}%{_datadir}/%{name}/media -type f | grep -v compile.rb | xargs chmod a-x
rm -Rf %{buildroot}%{_datadir}/%{name}/media/app/.sass-cache
rm -rf %{buildroot}%{_datadir}/%{name}/media/app/AUTHORS

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


  
%files
%defattr(-,root,root)
%doc AUTHORS COPYING 
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}_lib/
%{python_sitelib}/%{name}-%{version}-py%{py_ver}.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/net.launchpad.nitrotasks.gschema.xml
%{_datadir}/%{name}
%{_datadir}/help/C/nitrotasks

%postun
if [ $1 -eq 0 ] ; then
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%clean
rm -rf %{buildroot}


%changelog
* Wed Oct 02 2013 billybot <billybot> 1.5.1-1pclos2013
- import into pclos
